#ifndef PLAYERJS_H
#define PLAYERJS_H


#include <QObject>
#include <Phonon>
#include "phononwebplayer.h"

class PlayerJS : public QObject
{
    Q_OBJECT

    Q_PROPERTY(int Width READ Width())
    Q_PROPERTY(int Height READ Height())


public:
    explicit PlayerJS(PhononWebPlayer *player = 0, QObject *parent = 0);

    int Width();
    int Height();

signals:

public slots:
    void replay();
    void pause();
    void resume();
    void setVolume(float val);
    float getVolume();
    void showFullscreen();
    void showNormal();

private:
    PhononWebPlayer* webPlayer;
};

#endif // PLAYERJS_H
